	! Converts the integer stored in number into an ascii 
	! string.  The string is returned in string.  The number of 
	! digits is returned in size.

	subroutine to_string(number, string, size)
	implicit none
	integer :: number
	character*8 :: string
        integer :: size                        

        character*100 :: temp        
	integer :: local
	integer :: last_digit
	integer :: i        

	local = number
	i = 0	

	! strip digits off starting with least significant
	! do-while loop

 100	  last_digit = mod(local,10)
	  local = local/10
	  i = i + 1   
  	  temp(i:i) = char(last_digit + ichar('0'))       
	if (local.ne.0) go to 100       

	size = i

	! reverse digits

	do 200 i = 1, size
  	  string(size-i+1:size-i+1) = temp(i:i)
 200	  continue
	return       
	end subroutine to_string
